=head1 NAME


XXV::MODULES::HTTPD



=head1 SYNOPSIS

  
  use XXV::MODULES::HTTPD
  my  = XXV::MODULES::HTTPD->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.45 - 04.09.2005

=head1 DESCRIPTION

Dieses Modul ist ein Mehrfachsitzung HTTPD Server.

=head1 CONFIGURATION

=over 4



=item 1 active

Aktiviere diesen Dienst

=over 4

=item * default: y

=item * type: confirm

=item * required: Yes

=back



=item 2 Clients

Maximale Anzahl von gleichzeitigen Verbindungen zur selben Zeit

=over 4

=item * default: 5

=item * type: integer

=item * required: Yes

=back



=item 3 Debug

Ausgeben von zusätzliche Informationen zur Fehlersuche, wird nur für die Software-Entwicklung benötigt.

=over 4

=item * default: n

=item * type: confirm

=item * required: No

=back



=item 4 HtmlRoot

Ordner mit dem Template- und Bilderdateien. (verschiedene skins)

=over 4

=item * default: default

=item * type: list

=item * required: Yes

=back



=item 5 Port

Portnummer an dem der Server konnektiert werden kann

=over 4

=item * default: 8080

=item * type: integer

=item * required: Yes

=back



=item 6 StartPage

Erste Seite, die beim Anmelden zu sehen ist

=over 4

=item * default: now

=item * type: list

=item * required: Yes

=back



=back

=head1 COMMANDS

=over 4



=item *  logout (logout)

Abmelden von der aktuellen Sitzung



=back

=head1 REQUIREMENTS

=over 4



=item *  CGI qw/:push -nph -no_xhtml -compile/

Simple Common Gateway Interface Class



=item *  Compress::Zlib

Interface to zlib compression library. 



=item *  IO::Socket::INET

Object interface for AF_INET domain sockets 



=item *  MIME::Base64

Encoding and decoding of base64 strings



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
